# Robot City
Copyright 2002-2020 - Thomas Jentzsch

## The Game
The year is 2601. An unknown mechanical life form has touched down on the dark side of the moon. Mining, building and replicating; it has begun to cover the surface with astonishing speed, appropriating our outposts and communication towers. Any attempt to halt the progress of this “Robot City” is met with resistance from the hundreds of intelligent robot tanks (iBots) that swarm all over it.

Equipped with an indestructible protective shield and massive firepower, they have wiped out almost all of our forces. You and your hypercopter are the only hope left!

Fortunately, the iBots have a weakness - their shields only protect the front and sides of the craft. Also, by using the walls of the city to protect yourself, it is even possible to trick their A.I., making them shoot one another.

But beware! Destroy one group and, in the next area, a more aggressive pack will be waiting to hunt you down!

## Controls
### Switches
Press **Select** to select a game variation and to return to the tite screen. Robot City comes with five game variations of increasing difficulty:

1. Kids: 2 robot tanks, 5 hypercopters, slower speed and weakest iBot AI, least varying city mazes
2. Easy: 3 robot tanks, 5 hypercopters, moderate speed and weaker iBot AI, less varying city mazes
3. Normal: 4 robot tanks, 4 hypercopters, moderate speed and iBot AI, average varying city mazes
4. Hard: 4 robot tanks, 4 hypercopters, moderate speed and stronger iBot AI, more varying city mazes, tanks can **revive** each other
5. Expert: 4 robot tanks, 3 hypercopters, faster speed and strongest iBot AI, most varying city mazes, tanks can **revive** each other

Press **Reset** to restart the current game again, using the same city mazes.
Switch **Right Difficulty** to A to pause the game, switch back to B to continue playing.

### Joystick
A joystick in the **left** port controls the hypercopter. Press **Fire** to start a game. Move the joystick into the direction you want to fly and use the **Fire** button to shot into the current direction.
You can either plug a **SaveKey/AtariVox** into the right port or a 2nd joystick. The latter allows a 2nd player to control the iBots' A.I..

## Playing the Game
The maze of each city is randomly generated. So when you enter a city, plan your strategy wisely! As soon as you move, the iBots will immediately start hunting you. Their shots are deadly and touching them is deadly too, even after they have been destroyed. iBot wreckage forms an impenetrable barrier which alters the city layout and may force you to alter your strategy. If you can't attack them from behind, try to lure them into shooting each other.

There are up to four iBots in each city. When you have destroyed the last one, a new city with a new layout and faster action will await you.

Each hypercopter has a limited amount of energy per city. An alert will warn you when it goes low. If the energy runs out, you lose that hypercopter. 

### Game Screen
![Game Screen](Robot%20City.png)

## Scoring
You gain points per iBot killed (also by iBots themseleves) and remaining energy when a city has been cleared. The points depend on the game variation:
- iBots: 10, 20, 30, 40, 50 points
- Energy: 1, 2, 3, 4, 5 points/energy unit

Every two cities, a bonus hypercopter is awarded (up to 4 reserve hypercopters).

The game keeps track of the high score of the current variation. If a SaveKey or an AtariVox is attached to the right port, the high scores of all varaitions are saved permanently. 

Note: High scores will not be recorded for games where the enemy A.I. has been influenced with a 2nd joystick.

## Acknowledgements
Game design and programming by Thomas Jentzsch

Special Thanks:
- Albert Yarusso, AtariAge and its wonderful, supportive community
- Stephen Anthony, maintainer of Stella, a great emulator and development tool
- James Earl O'Brien and Zeropage Homebrew for bringing this game back to my attention

Robot City is based on the very addicting Odyssey 2 prototype game Robot City written by Graham Thomasson. 

## Legal
This game is freeware, but copyrighted; it may be freely distributed, but it **must** be always accompanied by this documentation file. This program may be included on websites and shareware or freeware compilations, but please contact me first. You **cannot** distribute Robot City on Atari 2600 cartridges without my **explicit** permission.
